<stg><name>cache_module</name>


<trans_list>

<trans id="96" from="1" to="2">
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>
</trans>

<trans id="97" from="1" to="4">
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="0"/>
</and_exp></or_exp>
</condition>
</trans>

<trans id="99" from="2" to="3">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>

<trans id="100" from="3" to="4">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>

<trans id="101" from="4" to="5">
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>
</trans>

<trans id="102" from="4" to="6">
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="0"/>
</and_exp></or_exp>
</condition>
</trans>

<trans id="104" from="5" to="6">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>

<trans id="105" from="6" to="7">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>

<trans id="107" from="7" to="8">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>

<trans id="108" from="8" to="9">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>
</trans_list>



<state_list>

<state id="1" st_id="1">

<operation id="10" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="12" bw="1" op_0_bw="1" op_1_bw="1">
<![CDATA[
entry:0 %updateDataValid_read = read i1 @_ssdm_op_Read.ap_auto.i1, i1 %updateDataValid

]]></Node>
<StgValue><ssdm name="updateDataValid_read"/></StgValue>
</operation>

<operation id="11" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="13" bw="1" op_0_bw="1" op_1_bw="1">
<![CDATA[
entry:1 %updateTagValid_read = read i1 @_ssdm_op_Read.ap_auto.i1, i1 %updateTagValid

]]></Node>
<StgValue><ssdm name="updateTagValid_read"/></StgValue>
</operation>

<operation id="12" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="14" bw="32" op_0_bw="32" op_1_bw="32">
<![CDATA[
entry:2 %newTag_read = read i32 @_ssdm_op_Read.ap_auto.i32, i32 %newTag

]]></Node>
<StgValue><ssdm name="newTag_read"/></StgValue>
</operation>

<operation id="13" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="15" bw="8" op_0_bw="8" op_1_bw="8">
<![CDATA[
entry:3 %updateWay_read = read i8 @_ssdm_op_Read.ap_auto.i8, i8 %updateWay

]]></Node>
<StgValue><ssdm name="updateWay_read"/></StgValue>
</operation>

<operation id="14" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="16" bw="8" op_0_bw="8" op_1_bw="8">
<![CDATA[
entry:4 %updateSet_read = read i8 @_ssdm_op_Read.ap_auto.i8, i8 %updateSet

]]></Node>
<StgValue><ssdm name="updateSet_read"/></StgValue>
</operation>

<operation id="15" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="17" bw="32" op_0_bw="32" op_1_bw="32">
<![CDATA[
entry:5 %address_read = read i32 @_ssdm_op_Read.ap_auto.i32, i32 %address

]]></Node>
<StgValue><ssdm name="address_read"/></StgValue>
</operation>

<operation id="16" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="18" bw="64" op_0_bw="64">
<![CDATA[
entry:6 %cacheMemory_load_2_loc = alloca i64 1

]]></Node>
<StgValue><ssdm name="cacheMemory_load_2_loc"/></StgValue>
</operation>

<operation id="17" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="19" bw="29" op_0_bw="32">
<![CDATA[
entry:7 %trunc_ln7 = trunc i32 %address_read

]]></Node>
<StgValue><ssdm name="trunc_ln7"/></StgValue>
</operation>

<operation id="18" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="20" bw="0" op_0_bw="0" op_1_bw="0">
<![CDATA[
entry:8 %spectopmodule_ln7 = spectopmodule void @_ssdm_op_SpecTopModule, void @empty_2

]]></Node>
<StgValue><ssdm name="spectopmodule_ln7"/></StgValue>
</operation>

<operation id="19" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="21" bw="0" op_0_bw="0" op_1_bw="32">
<![CDATA[
entry:9 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i32 %address

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="20" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="22" bw="0" op_0_bw="0" op_1_bw="32" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:10 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i32 %address, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="21" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="23" bw="0" op_0_bw="0" op_1_bw="1">
<![CDATA[
entry:11 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i1 %dirty

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="22" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="24" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:12 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i1 %dirty, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="23" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="25" bw="0" op_0_bw="0" op_1_bw="1">
<![CDATA[
entry:13 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i1 %hit

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="24" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="26" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:14 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i1 %hit, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="25" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="27" bw="0" op_0_bw="0" op_1_bw="8">
<![CDATA[
entry:15 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i8 %data

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="26" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="28" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:16 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i8 %data, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="27" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="29" bw="0" op_0_bw="0" op_1_bw="8">
<![CDATA[
entry:17 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i8 %updateSet

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="28" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="30" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:18 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i8 %updateSet, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="29" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="31" bw="0" op_0_bw="0" op_1_bw="8">
<![CDATA[
entry:19 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i8 %updateWay

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="30" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="32" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:20 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i8 %updateWay, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="31" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="33" bw="0" op_0_bw="0" op_1_bw="32">
<![CDATA[
entry:21 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i32 %newTag

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="32" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="34" bw="0" op_0_bw="0" op_1_bw="32" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:22 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i32 %newTag, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="33" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="35" bw="0" op_0_bw="0" op_1_bw="1">
<![CDATA[
entry:23 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i1 %updateTagValid

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="34" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="36" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:24 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i1 %updateTagValid, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="35" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="37" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:25 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i8 %newData, void @empty_1, i32 0, i32 0, void @empty_0, i32 4294967295, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="36" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="38" bw="0" op_0_bw="0" op_1_bw="8">
<![CDATA[
entry:26 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i8 %newData

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="37" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="39" bw="0" op_0_bw="0" op_1_bw="1">
<![CDATA[
entry:27 %specbitsmap_ln0 = specbitsmap void @_ssdm_op_SpecBitsMap, i1 %updateDataValid

]]></Node>
<StgValue><ssdm name="specbitsmap_ln0"/></StgValue>
</operation>

<operation id="38" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="40" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
entry:28 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i1 %updateDataValid, void @empty, i32 0, i32 0, void @empty_0, i32 0, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="39" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="41" bw="0" op_0_bw="0" op_1_bw="64">
<![CDATA[
entry:29 %specbramwithbyteenable_ln0 = specbramwithbyteenable void @_ssdm_op_SpecBRAMWithByteEnable, i64 %cacheMemory

]]></Node>
<StgValue><ssdm name="specbramwithbyteenable_ln0"/></StgValue>
</operation>

<operation id="40" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="42" bw="0" op_0_bw="1" op_1_bw="0" op_2_bw="0">
<![CDATA[
entry:30 %br_ln8 = br i1 %updateDataValid_read, void %if.end, void %if.then

]]></Node>
<StgValue><ssdm name="br_ln8"/></StgValue>
</operation>

<operation id="41" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="44" bw="1" op_0_bw="8">
<![CDATA[
if.then:0 %trunc_ln9 = trunc i8 %updateSet_read

]]></Node>
<StgValue><ssdm name="trunc_ln9"/></StgValue>
</operation>

<operation id="42" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="45" bw="6" op_0_bw="6" op_1_bw="1" op_2_bw="5">
<![CDATA[
if.then:1 %shl_ln9 = bitconcatenate i6 @_ssdm_op_BitConcatenate.i6.i1.i5, i1 %trunc_ln9, i5 0

]]></Node>
<StgValue><ssdm name="shl_ln9"/></StgValue>
</operation>

<operation id="43" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="46" bw="3" op_0_bw="8">
<![CDATA[
if.then:2 %trunc_ln9_1 = trunc i8 %updateWay_read

]]></Node>
<StgValue><ssdm name="trunc_ln9_1"/></StgValue>
</operation>

<operation id="44" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="47" bw="6" op_0_bw="6" op_1_bw="3" op_2_bw="3">
<![CDATA[
if.then:3 %shl_ln9_1 = bitconcatenate i6 @_ssdm_op_BitConcatenate.i6.i3.i3, i3 %trunc_ln9_1, i3 0

]]></Node>
<StgValue><ssdm name="shl_ln9_1"/></StgValue>
</operation>

<operation id="45" st_id="1" stage="1" lat="1">
<core>Adder</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="48" bw="6" op_0_bw="6" op_1_bw="6">
<![CDATA[
if.then:4 %add_ln9 = add i6 %shl_ln9_1, i6 %shl_ln9

]]></Node>
<StgValue><ssdm name="add_ln9"/></StgValue>
</operation>

<operation id="46" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="49" bw="3" op_0_bw="3" op_1_bw="6" op_2_bw="32" op_3_bw="32">
<![CDATA[
if.then:5 %lshr_ln9 = partselect i3 @_ssdm_op_PartSelect.i3.i6.i32.i32, i6 %add_ln9, i32 3, i32 5

]]></Node>
<StgValue><ssdm name="lshr_ln9"/></StgValue>
</operation>

<operation id="47" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="50" bw="64" op_0_bw="3">
<![CDATA[
if.then:6 %zext_ln9 = zext i3 %lshr_ln9

]]></Node>
<StgValue><ssdm name="zext_ln9"/></StgValue>
</operation>

<operation id="48" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="51" bw="3" op_0_bw="64" op_1_bw="64" op_2_bw="64">
<![CDATA[
if.then:7 %cacheMemory_addr = getelementptr i64 %cacheMemory, i64 0, i64 %zext_ln9

]]></Node>
<StgValue><ssdm name="cacheMemory_addr"/></StgValue>
</operation>

<operation id="49" st_id="1" stage="2" lat="2">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="52" bw="64" op_0_bw="3">
<![CDATA[
if.then:8 %cacheMemory_load = load i3 %cacheMemory_addr

]]></Node>
<StgValue><ssdm name="cacheMemory_load"/></StgValue>
</operation>
</state>

<state id="2" st_id="2">

<operation id="50" st_id="2" stage="1" lat="2">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="52" bw="64" op_0_bw="3">
<![CDATA[
if.then:8 %cacheMemory_load = load i3 %cacheMemory_addr

]]></Node>
<StgValue><ssdm name="cacheMemory_load"/></StgValue>
</operation>

<operation id="51" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="53" bw="30" op_0_bw="30" op_1_bw="64" op_2_bw="32" op_3_bw="32">
<![CDATA[
if.then:9 %tmp_3 = partselect i30 @_ssdm_op_PartSelect.i30.i64.i32.i32, i64 %cacheMemory_load, i32 2, i32 31

]]></Node>
<StgValue><ssdm name="tmp_3"/></StgValue>
</operation>

<operation id="52" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="54" bw="32" op_0_bw="32" op_1_bw="30" op_2_bw="2">
<![CDATA[
if.then:10 %and_ln = bitconcatenate i32 @_ssdm_op_BitConcatenate.i32.i30.i2, i30 %tmp_3, i2 0

]]></Node>
<StgValue><ssdm name="and_ln"/></StgValue>
</operation>

<operation id="53" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="55" bw="32" op_0_bw="32" op_1_bw="32">
<![CDATA[
if.then:11 %or_ln10 = or i32 %and_ln, i32 1

]]></Node>
<StgValue><ssdm name="or_ln10"/></StgValue>
</operation>

<operation id="54" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="56" bw="64" op_0_bw="32">
<![CDATA[
if.then:12 %zext_ln10 = zext i32 %or_ln10

]]></Node>
<StgValue><ssdm name="zext_ln10"/></StgValue>
</operation>

<operation id="55" st_id="2" stage="1" lat="1">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="57" bw="0" op_0_bw="0" op_1_bw="3" op_2_bw="64" op_3_bw="8" op_4_bw="0">
<![CDATA[
if.then:13 %store_ln10 = store void @_ssdm_op_Write.bram.p0L_a8i8packedL, i3 %cacheMemory_addr, i64 %zext_ln10, i8 15

]]></Node>
<StgValue><ssdm name="store_ln10"/></StgValue>
</operation>
</state>

<state id="3" st_id="3">

<operation id="56" st_id="3" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="58" bw="6" op_0_bw="6" op_1_bw="6">
<![CDATA[
if.then:14 %or_ln11 = or i6 %add_ln9, i6 4

]]></Node>
<StgValue><ssdm name="or_ln11"/></StgValue>
</operation>

<operation id="57" st_id="3" stage="2" lat="2">
<core></core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="59" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="6" op_3_bw="64" op_4_bw="0">
<![CDATA[
if.then:15 %call_ln11 = call void @cache_module_Pipeline_VITIS_LOOP_11_1, i8 %newData, i6 %or_ln11, i64 %cacheMemory

]]></Node>
<StgValue><ssdm name="call_ln11"/></StgValue>
</operation>
</state>

<state id="4" st_id="4">

<operation id="58" st_id="4" stage="1" lat="2">
<core></core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="59" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="6" op_3_bw="64" op_4_bw="0">
<![CDATA[
if.then:15 %call_ln11 = call void @cache_module_Pipeline_VITIS_LOOP_11_1, i8 %newData, i6 %or_ln11, i64 %cacheMemory

]]></Node>
<StgValue><ssdm name="call_ln11"/></StgValue>
</operation>

<operation id="59" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateDataValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="60" bw="0" op_0_bw="0">
<![CDATA[
if.then:16 %br_ln0 = br void %if.end

]]></Node>
<StgValue><ssdm name="br_ln0"/></StgValue>
</operation>

<operation id="60" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="62" bw="0" op_0_bw="1" op_1_bw="0" op_2_bw="0">
<![CDATA[
if.end:0 %br_ln14 = br i1 %updateTagValid_read, void %VITIS_LOOP_20_2, void %if.then19

]]></Node>
<StgValue><ssdm name="br_ln14"/></StgValue>
</operation>

<operation id="61" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="64" bw="1" op_0_bw="8">
<![CDATA[
if.then19:0 %trunc_ln15 = trunc i8 %updateSet_read

]]></Node>
<StgValue><ssdm name="trunc_ln15"/></StgValue>
</operation>

<operation id="62" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="65" bw="6" op_0_bw="6" op_1_bw="1" op_2_bw="5">
<![CDATA[
if.then19:1 %shl_ln15_1 = bitconcatenate i6 @_ssdm_op_BitConcatenate.i6.i1.i5, i1 %trunc_ln15, i5 0

]]></Node>
<StgValue><ssdm name="shl_ln15_1"/></StgValue>
</operation>

<operation id="63" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="66" bw="3" op_0_bw="8">
<![CDATA[
if.then19:2 %trunc_ln15_1 = trunc i8 %updateWay_read

]]></Node>
<StgValue><ssdm name="trunc_ln15_1"/></StgValue>
</operation>

<operation id="64" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="67" bw="6" op_0_bw="6" op_1_bw="3" op_2_bw="3">
<![CDATA[
if.then19:3 %shl_ln15_2 = bitconcatenate i6 @_ssdm_op_BitConcatenate.i6.i3.i3, i3 %trunc_ln15_1, i3 0

]]></Node>
<StgValue><ssdm name="shl_ln15_2"/></StgValue>
</operation>

<operation id="65" st_id="4" stage="1" lat="1">
<core>Adder</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="68" bw="6" op_0_bw="6" op_1_bw="6">
<![CDATA[
if.then19:4 %add_ln15 = add i6 %shl_ln15_2, i6 %shl_ln15_1

]]></Node>
<StgValue><ssdm name="add_ln15"/></StgValue>
</operation>

<operation id="66" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="69" bw="3" op_0_bw="3" op_1_bw="6" op_2_bw="32" op_3_bw="32">
<![CDATA[
if.then19:5 %lshr_ln1 = partselect i3 @_ssdm_op_PartSelect.i3.i6.i32.i32, i6 %add_ln15, i32 3, i32 5

]]></Node>
<StgValue><ssdm name="lshr_ln1"/></StgValue>
</operation>

<operation id="67" st_id="4" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="73" bw="29" op_0_bw="32">
<![CDATA[
if.then19:9 %trunc_ln15_2 = trunc i32 %newTag_read

]]></Node>
<StgValue><ssdm name="trunc_ln15_2"/></StgValue>
</operation>
</state>

<state id="5" st_id="5">

<operation id="68" st_id="5" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="70" bw="64" op_0_bw="3">
<![CDATA[
if.then19:6 %zext_ln15 = zext i3 %lshr_ln1

]]></Node>
<StgValue><ssdm name="zext_ln15"/></StgValue>
</operation>

<operation id="69" st_id="5" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="71" bw="3" op_0_bw="64" op_1_bw="64" op_2_bw="64">
<![CDATA[
if.then19:7 %cacheMemory_addr_1 = getelementptr i64 %cacheMemory, i64 0, i64 %zext_ln15

]]></Node>
<StgValue><ssdm name="cacheMemory_addr_1"/></StgValue>
</operation>

<operation id="70" st_id="5" stage="2" lat="2">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="72" bw="64" op_0_bw="3" op_1_bw="0" op_2_bw="0">
<![CDATA[
if.then19:8 %cacheMemory_load_1 = load i3 %cacheMemory_addr_1

]]></Node>
<StgValue><ssdm name="cacheMemory_load_1"/></StgValue>
</operation>
</state>

<state id="6" st_id="6">

<operation id="71" st_id="6" stage="1" lat="2">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="72" bw="64" op_0_bw="3" op_1_bw="0" op_2_bw="0">
<![CDATA[
if.then19:8 %cacheMemory_load_1 = load i3 %cacheMemory_addr_1

]]></Node>
<StgValue><ssdm name="cacheMemory_load_1"/></StgValue>
</operation>

<operation id="72" st_id="6" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="74" bw="1" op_0_bw="1" op_1_bw="64" op_2_bw="32">
<![CDATA[
if.then19:10 %tmp_1 = bitselect i1 @_ssdm_op_BitSelect.i1.i64.i32, i64 %cacheMemory_load_1, i32 31

]]></Node>
<StgValue><ssdm name="tmp_1"/></StgValue>
</operation>

<operation id="73" st_id="6" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="75" bw="32" op_0_bw="32" op_1_bw="1" op_2_bw="29" op_3_bw="2">
<![CDATA[
if.then19:11 %tmp = bitconcatenate i32 @_ssdm_op_BitConcatenate.i32.i1.i29.i2, i1 %tmp_1, i29 %trunc_ln15_2, i2 0

]]></Node>
<StgValue><ssdm name="tmp"/></StgValue>
</operation>

<operation id="74" st_id="6" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="76" bw="32" op_0_bw="32" op_1_bw="32">
<![CDATA[
if.then19:12 %or_ln16 = or i32 %tmp, i32 1

]]></Node>
<StgValue><ssdm name="or_ln16"/></StgValue>
</operation>

<operation id="75" st_id="6" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="77" bw="64" op_0_bw="32">
<![CDATA[
if.then19:13 %zext_ln17 = zext i32 %or_ln16

]]></Node>
<StgValue><ssdm name="zext_ln17"/></StgValue>
</operation>

<operation id="76" st_id="6" stage="1" lat="1">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="78" bw="0" op_0_bw="0" op_1_bw="3" op_2_bw="64" op_3_bw="8" op_4_bw="0" op_5_bw="0">
<![CDATA[
if.then19:14 %store_ln17 = store void @_ssdm_op_Write.bram.p0L_a8i8packedL, i3 %cacheMemory_addr_1, i64 %zext_ln17, i8 15

]]></Node>
<StgValue><ssdm name="store_ln17"/></StgValue>
</operation>

<operation id="77" st_id="6" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="updateTagValid_read" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="79" bw="0" op_0_bw="0">
<![CDATA[
if.then19:15 %br_ln18 = br void %VITIS_LOOP_20_2

]]></Node>
<StgValue><ssdm name="br_ln18"/></StgValue>
</operation>
</state>

<state id="7" st_id="7">

<operation id="78" st_id="7" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="81" bw="1" op_0_bw="1" op_1_bw="32" op_2_bw="32">
<![CDATA[
VITIS_LOOP_20_2:0 %tmp_2 = bitselect i1 @_ssdm_op_BitSelect.i1.i32.i32, i32 %address_read, i32 29

]]></Node>
<StgValue><ssdm name="tmp_2"/></StgValue>
</operation>

<operation id="79" st_id="7" stage="2" lat="2">
<core></core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="82" bw="1" op_0_bw="1" op_1_bw="1" op_2_bw="29" op_3_bw="64" op_4_bw="64" op_5_bw="0" op_6_bw="0" op_7_bw="0" op_8_bw="0" op_9_bw="0" op_10_bw="0">
<![CDATA[
VITIS_LOOP_20_2:1 %targetBlock = call i1 @cache_module_Pipeline_VITIS_LOOP_20_2, i1 %tmp_2, i29 %trunc_ln7, i64 %cacheMemory_load_2_loc, i64 %cacheMemory

]]></Node>
<StgValue><ssdm name="targetBlock"/></StgValue>
</operation>
</state>

<state id="8" st_id="8">

<operation id="80" st_id="8" stage="1" lat="2">
<core></core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="82" bw="1" op_0_bw="1" op_1_bw="1" op_2_bw="29" op_3_bw="64" op_4_bw="64" op_5_bw="0" op_6_bw="0" op_7_bw="0" op_8_bw="0" op_9_bw="0" op_10_bw="0">
<![CDATA[
VITIS_LOOP_20_2:1 %targetBlock = call i1 @cache_module_Pipeline_VITIS_LOOP_20_2, i1 %tmp_2, i29 %trunc_ln7, i64 %cacheMemory_load_2_loc, i64 %cacheMemory

]]></Node>
<StgValue><ssdm name="targetBlock"/></StgValue>
</operation>
</state>

<state id="9" st_id="9">

<operation id="81" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="83" bw="64" op_0_bw="64" op_1_bw="0">
<![CDATA[
VITIS_LOOP_20_2:2 %cacheMemory_load_2 = load i64 %cacheMemory_load_2_loc

]]></Node>
<StgValue><ssdm name="cacheMemory_load_2"/></StgValue>
</operation>

<operation id="82" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="84" bw="0" op_0_bw="1" op_1_bw="0" op_2_bw="0">
<![CDATA[
VITIS_LOOP_20_2:3 %br_ln7 = br i1 %targetBlock, void %cleanup, void %for.end99

]]></Node>
<StgValue><ssdm name="br_ln7"/></StgValue>
</operation>

<operation id="83" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="86" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="1">
<![CDATA[
cleanup:0 %write_ln22 = write void @_ssdm_op_Write.ap_auto.i1P0A, i1 %hit, i1 1

]]></Node>
<StgValue><ssdm name="write_ln22"/></StgValue>
</operation>

<operation id="84" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="87" bw="2" op_0_bw="2" op_1_bw="32" op_2_bw="32" op_3_bw="32">
<![CDATA[
cleanup:1 %tmp_9 = partselect i2 @_ssdm_op_PartSelect.i2.i32.i32.i32, i32 %address_read, i32 30, i32 31

]]></Node>
<StgValue><ssdm name="tmp_9"/></StgValue>
</operation>

<operation id="85" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="88" bw="6" op_0_bw="6" op_1_bw="1" op_2_bw="2" op_3_bw="3">
<![CDATA[
cleanup:2 %zext_ln23_cast = bitconcatenate i6 @_ssdm_op_BitConcatenate.i6.i1.i2.i3, i1 1, i2 %tmp_9, i3 0

]]></Node>
<StgValue><ssdm name="zext_ln23_cast"/></StgValue>
</operation>

<operation id="86" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="89" bw="64" op_0_bw="6">
<![CDATA[
cleanup:3 %zext_ln23 = zext i6 %zext_ln23_cast

]]></Node>
<StgValue><ssdm name="zext_ln23"/></StgValue>
</operation>

<operation id="87" st_id="9" stage="1" lat="1">
<core>Shifter</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="90" bw="64" op_0_bw="64" op_1_bw="64">
<![CDATA[
cleanup:4 %lshr_ln23 = lshr i64 %cacheMemory_load_2, i64 %zext_ln23

]]></Node>
<StgValue><ssdm name="lshr_ln23"/></StgValue>
</operation>

<operation id="88" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="91" bw="8" op_0_bw="64">
<![CDATA[
cleanup:5 %trunc_ln23 = trunc i64 %lshr_ln23

]]></Node>
<StgValue><ssdm name="trunc_ln23"/></StgValue>
</operation>

<operation id="89" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="92" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="8">
<![CDATA[
cleanup:6 %write_ln23 = write void @_ssdm_op_Write.ap_auto.i8P0A, i8 %data, i8 %trunc_ln23

]]></Node>
<StgValue><ssdm name="write_ln23"/></StgValue>
</operation>

<operation id="90" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="93" bw="1" op_0_bw="1" op_1_bw="64" op_2_bw="32">
<![CDATA[
cleanup:7 %tmp_4 = bitselect i1 @_ssdm_op_BitSelect.i1.i64.i32, i64 %cacheMemory_load_2, i32 1

]]></Node>
<StgValue><ssdm name="tmp_4"/></StgValue>
</operation>

<operation id="91" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="94" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="1">
<![CDATA[
cleanup:8 %write_ln24 = write void @_ssdm_op_Write.ap_auto.i1P0A, i1 %dirty, i1 %tmp_4

]]></Node>
<StgValue><ssdm name="write_ln24"/></StgValue>
</operation>

<operation id="92" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="95" bw="0" op_0_bw="0">
<![CDATA[
cleanup:9 %br_ln0 = br void %return

]]></Node>
<StgValue><ssdm name="br_ln0"/></StgValue>
</operation>

<operation id="93" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="97" bw="0" op_0_bw="0" op_1_bw="1" op_2_bw="1">
<![CDATA[
for.end99:0 %write_ln28 = write void @_ssdm_op_Write.ap_auto.i1P0A, i1 %hit, i1 0

]]></Node>
<StgValue><ssdm name="write_ln28"/></StgValue>
</operation>

<operation id="94" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="targetBlock" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="98" bw="0" op_0_bw="0">
<![CDATA[
for.end99:1 %br_ln29 = br void %return

]]></Node>
<StgValue><ssdm name="br_ln29"/></StgValue>
</operation>

<operation id="95" st_id="9" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="100" bw="0">
<![CDATA[
return:0 %ret_ln29 = ret

]]></Node>
<StgValue><ssdm name="ret_ln29"/></StgValue>
</operation>
</state>
</state_list>


<ports>
<port id="109" name="address" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="address"/></StgValue>
</port>
<port id="110" name="dirty" dir="1" iftype="0">
<core>NULL</core><StgValue><ssdm name="dirty"/></StgValue>
</port>
<port id="111" name="hit" dir="1" iftype="0">
<core>NULL</core><StgValue><ssdm name="hit"/></StgValue>
</port>
<port id="112" name="data" dir="1" iftype="0">
<core>NULL</core><StgValue><ssdm name="data"/></StgValue>
</port>
<port id="113" name="updateSet" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="updateSet"/></StgValue>
</port>
<port id="114" name="updateWay" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="updateWay"/></StgValue>
</port>
<port id="115" name="newTag" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="newTag"/></StgValue>
</port>
<port id="116" name="updateTagValid" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="updateTagValid"/></StgValue>
</port>
<port id="117" name="newData" dir="0" iftype="1">
<core>RAM</core><StgValue><ssdm name="newData"/><MemPortTyVec>1 3 </MemPortTyVec>
</StgValue>
</port>
<port id="118" name="updateDataValid" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="updateDataValid"/></StgValue>
</port>
<port id="119" name="cacheMemory" dir="2" iftype="1">
<core>RAM</core><StgValue><ssdm name="cacheMemory"/><MemPortTyVec>2 3 </MemPortTyVec>
</StgValue>
</port>
</ports>


<dataflows>
<dataflow id="121" from="_ssdm_op_Read.ap_auto.i1" to="updateDataValid_read" fromId="120" toId="10">
</dataflow>
<dataflow id="122" from="updateDataValid" to="updateDataValid_read" fromId="118" toId="10">
</dataflow>
<dataflow id="123" from="_ssdm_op_Read.ap_auto.i1" to="updateTagValid_read" fromId="120" toId="11">
</dataflow>
<dataflow id="124" from="updateTagValid" to="updateTagValid_read" fromId="116" toId="11">
</dataflow>
<dataflow id="126" from="_ssdm_op_Read.ap_auto.i32" to="newTag_read" fromId="125" toId="12">
</dataflow>
<dataflow id="127" from="newTag" to="newTag_read" fromId="115" toId="12">
</dataflow>
<dataflow id="129" from="_ssdm_op_Read.ap_auto.i8" to="updateWay_read" fromId="128" toId="13">
</dataflow>
<dataflow id="130" from="updateWay" to="updateWay_read" fromId="114" toId="13">
</dataflow>
<dataflow id="131" from="_ssdm_op_Read.ap_auto.i8" to="updateSet_read" fromId="128" toId="14">
</dataflow>
<dataflow id="132" from="updateSet" to="updateSet_read" fromId="113" toId="14">
</dataflow>
<dataflow id="133" from="_ssdm_op_Read.ap_auto.i32" to="address_read" fromId="125" toId="15">
</dataflow>
<dataflow id="134" from="address" to="address_read" fromId="109" toId="15">
</dataflow>
<dataflow id="136" from="StgValue_135" to="cacheMemory_load_2_loc" fromId="135" toId="16">
</dataflow>
<dataflow id="137" from="address_read" to="trunc_ln7" fromId="15" toId="17">
</dataflow>
<dataflow id="139" from="_ssdm_op_SpecTopModule" to="spectopmodule_ln7" fromId="138" toId="18">
</dataflow>
<dataflow id="141" from="empty_2" to="spectopmodule_ln7" fromId="140" toId="18">
</dataflow>
<dataflow id="143" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="19">
</dataflow>
<dataflow id="144" from="address" to="specbitsmap_ln0" fromId="109" toId="19">
</dataflow>
<dataflow id="146" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="20">
</dataflow>
<dataflow id="147" from="address" to="specinterface_ln0" fromId="109" toId="20">
</dataflow>
<dataflow id="149" from="empty" to="specinterface_ln0" fromId="148" toId="20">
</dataflow>
<dataflow id="151" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="152" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="154" from="empty_0" to="specinterface_ln0" fromId="153" toId="20">
</dataflow>
<dataflow id="155" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="156" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="157" from="empty_0" to="specinterface_ln0" fromId="153" toId="20">
</dataflow>
<dataflow id="158" from="empty_0" to="specinterface_ln0" fromId="153" toId="20">
</dataflow>
<dataflow id="159" from="empty_0" to="specinterface_ln0" fromId="153" toId="20">
</dataflow>
<dataflow id="160" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="161" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="162" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="163" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="164" from="empty_0" to="specinterface_ln0" fromId="153" toId="20">
</dataflow>
<dataflow id="165" from="empty_0" to="specinterface_ln0" fromId="153" toId="20">
</dataflow>
<dataflow id="167" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="20">
</dataflow>
<dataflow id="168" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="20">
</dataflow>
<dataflow id="169" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="21">
</dataflow>
<dataflow id="170" from="dirty" to="specbitsmap_ln0" fromId="110" toId="21">
</dataflow>
<dataflow id="171" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="22">
</dataflow>
<dataflow id="172" from="dirty" to="specinterface_ln0" fromId="110" toId="22">
</dataflow>
<dataflow id="173" from="empty" to="specinterface_ln0" fromId="148" toId="22">
</dataflow>
<dataflow id="174" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="175" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="176" from="empty_0" to="specinterface_ln0" fromId="153" toId="22">
</dataflow>
<dataflow id="177" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="178" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="179" from="empty_0" to="specinterface_ln0" fromId="153" toId="22">
</dataflow>
<dataflow id="180" from="empty_0" to="specinterface_ln0" fromId="153" toId="22">
</dataflow>
<dataflow id="181" from="empty_0" to="specinterface_ln0" fromId="153" toId="22">
</dataflow>
<dataflow id="182" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="183" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="184" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="185" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="186" from="empty_0" to="specinterface_ln0" fromId="153" toId="22">
</dataflow>
<dataflow id="187" from="empty_0" to="specinterface_ln0" fromId="153" toId="22">
</dataflow>
<dataflow id="188" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="22">
</dataflow>
<dataflow id="189" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="22">
</dataflow>
<dataflow id="190" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="23">
</dataflow>
<dataflow id="191" from="hit" to="specbitsmap_ln0" fromId="111" toId="23">
</dataflow>
<dataflow id="192" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="24">
</dataflow>
<dataflow id="193" from="hit" to="specinterface_ln0" fromId="111" toId="24">
</dataflow>
<dataflow id="194" from="empty" to="specinterface_ln0" fromId="148" toId="24">
</dataflow>
<dataflow id="195" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="196" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="197" from="empty_0" to="specinterface_ln0" fromId="153" toId="24">
</dataflow>
<dataflow id="198" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="199" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="200" from="empty_0" to="specinterface_ln0" fromId="153" toId="24">
</dataflow>
<dataflow id="201" from="empty_0" to="specinterface_ln0" fromId="153" toId="24">
</dataflow>
<dataflow id="202" from="empty_0" to="specinterface_ln0" fromId="153" toId="24">
</dataflow>
<dataflow id="203" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="204" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="205" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="206" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="207" from="empty_0" to="specinterface_ln0" fromId="153" toId="24">
</dataflow>
<dataflow id="208" from="empty_0" to="specinterface_ln0" fromId="153" toId="24">
</dataflow>
<dataflow id="209" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="24">
</dataflow>
<dataflow id="210" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="24">
</dataflow>
<dataflow id="211" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="25">
</dataflow>
<dataflow id="212" from="data" to="specbitsmap_ln0" fromId="112" toId="25">
</dataflow>
<dataflow id="213" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="26">
</dataflow>
<dataflow id="214" from="data" to="specinterface_ln0" fromId="112" toId="26">
</dataflow>
<dataflow id="215" from="empty" to="specinterface_ln0" fromId="148" toId="26">
</dataflow>
<dataflow id="216" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="217" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="218" from="empty_0" to="specinterface_ln0" fromId="153" toId="26">
</dataflow>
<dataflow id="219" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="220" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="221" from="empty_0" to="specinterface_ln0" fromId="153" toId="26">
</dataflow>
<dataflow id="222" from="empty_0" to="specinterface_ln0" fromId="153" toId="26">
</dataflow>
<dataflow id="223" from="empty_0" to="specinterface_ln0" fromId="153" toId="26">
</dataflow>
<dataflow id="224" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="225" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="226" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="227" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="228" from="empty_0" to="specinterface_ln0" fromId="153" toId="26">
</dataflow>
<dataflow id="229" from="empty_0" to="specinterface_ln0" fromId="153" toId="26">
</dataflow>
<dataflow id="230" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="26">
</dataflow>
<dataflow id="231" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="26">
</dataflow>
<dataflow id="232" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="27">
</dataflow>
<dataflow id="233" from="updateSet" to="specbitsmap_ln0" fromId="113" toId="27">
</dataflow>
<dataflow id="234" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="28">
</dataflow>
<dataflow id="235" from="updateSet" to="specinterface_ln0" fromId="113" toId="28">
</dataflow>
<dataflow id="236" from="empty" to="specinterface_ln0" fromId="148" toId="28">
</dataflow>
<dataflow id="237" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="238" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="239" from="empty_0" to="specinterface_ln0" fromId="153" toId="28">
</dataflow>
<dataflow id="240" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="241" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="242" from="empty_0" to="specinterface_ln0" fromId="153" toId="28">
</dataflow>
<dataflow id="243" from="empty_0" to="specinterface_ln0" fromId="153" toId="28">
</dataflow>
<dataflow id="244" from="empty_0" to="specinterface_ln0" fromId="153" toId="28">
</dataflow>
<dataflow id="245" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="246" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="247" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="248" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="249" from="empty_0" to="specinterface_ln0" fromId="153" toId="28">
</dataflow>
<dataflow id="250" from="empty_0" to="specinterface_ln0" fromId="153" toId="28">
</dataflow>
<dataflow id="251" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="28">
</dataflow>
<dataflow id="252" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="28">
</dataflow>
<dataflow id="253" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="29">
</dataflow>
<dataflow id="254" from="updateWay" to="specbitsmap_ln0" fromId="114" toId="29">
</dataflow>
<dataflow id="255" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="30">
</dataflow>
<dataflow id="256" from="updateWay" to="specinterface_ln0" fromId="114" toId="30">
</dataflow>
<dataflow id="257" from="empty" to="specinterface_ln0" fromId="148" toId="30">
</dataflow>
<dataflow id="258" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="259" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="260" from="empty_0" to="specinterface_ln0" fromId="153" toId="30">
</dataflow>
<dataflow id="261" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="262" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="263" from="empty_0" to="specinterface_ln0" fromId="153" toId="30">
</dataflow>
<dataflow id="264" from="empty_0" to="specinterface_ln0" fromId="153" toId="30">
</dataflow>
<dataflow id="265" from="empty_0" to="specinterface_ln0" fromId="153" toId="30">
</dataflow>
<dataflow id="266" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="267" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="268" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="269" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="270" from="empty_0" to="specinterface_ln0" fromId="153" toId="30">
</dataflow>
<dataflow id="271" from="empty_0" to="specinterface_ln0" fromId="153" toId="30">
</dataflow>
<dataflow id="272" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="30">
</dataflow>
<dataflow id="273" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="30">
</dataflow>
<dataflow id="274" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="31">
</dataflow>
<dataflow id="275" from="newTag" to="specbitsmap_ln0" fromId="115" toId="31">
</dataflow>
<dataflow id="276" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="32">
</dataflow>
<dataflow id="277" from="newTag" to="specinterface_ln0" fromId="115" toId="32">
</dataflow>
<dataflow id="278" from="empty" to="specinterface_ln0" fromId="148" toId="32">
</dataflow>
<dataflow id="279" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="280" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="281" from="empty_0" to="specinterface_ln0" fromId="153" toId="32">
</dataflow>
<dataflow id="282" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="283" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="284" from="empty_0" to="specinterface_ln0" fromId="153" toId="32">
</dataflow>
<dataflow id="285" from="empty_0" to="specinterface_ln0" fromId="153" toId="32">
</dataflow>
<dataflow id="286" from="empty_0" to="specinterface_ln0" fromId="153" toId="32">
</dataflow>
<dataflow id="287" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="288" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="289" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="290" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="291" from="empty_0" to="specinterface_ln0" fromId="153" toId="32">
</dataflow>
<dataflow id="292" from="empty_0" to="specinterface_ln0" fromId="153" toId="32">
</dataflow>
<dataflow id="293" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="32">
</dataflow>
<dataflow id="294" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="32">
</dataflow>
<dataflow id="295" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="33">
</dataflow>
<dataflow id="296" from="updateTagValid" to="specbitsmap_ln0" fromId="116" toId="33">
</dataflow>
<dataflow id="297" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="34">
</dataflow>
<dataflow id="298" from="updateTagValid" to="specinterface_ln0" fromId="116" toId="34">
</dataflow>
<dataflow id="299" from="empty" to="specinterface_ln0" fromId="148" toId="34">
</dataflow>
<dataflow id="300" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="301" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="302" from="empty_0" to="specinterface_ln0" fromId="153" toId="34">
</dataflow>
<dataflow id="303" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="304" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="305" from="empty_0" to="specinterface_ln0" fromId="153" toId="34">
</dataflow>
<dataflow id="306" from="empty_0" to="specinterface_ln0" fromId="153" toId="34">
</dataflow>
<dataflow id="307" from="empty_0" to="specinterface_ln0" fromId="153" toId="34">
</dataflow>
<dataflow id="308" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="309" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="310" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="311" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="312" from="empty_0" to="specinterface_ln0" fromId="153" toId="34">
</dataflow>
<dataflow id="313" from="empty_0" to="specinterface_ln0" fromId="153" toId="34">
</dataflow>
<dataflow id="314" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="34">
</dataflow>
<dataflow id="315" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="34">
</dataflow>
<dataflow id="316" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="35">
</dataflow>
<dataflow id="317" from="newData" to="specinterface_ln0" fromId="117" toId="35">
</dataflow>
<dataflow id="319" from="empty_1" to="specinterface_ln0" fromId="318" toId="35">
</dataflow>
<dataflow id="320" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="321" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="322" from="empty_0" to="specinterface_ln0" fromId="153" toId="35">
</dataflow>
<dataflow id="323" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="35">
</dataflow>
<dataflow id="324" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="325" from="empty_0" to="specinterface_ln0" fromId="153" toId="35">
</dataflow>
<dataflow id="326" from="empty_0" to="specinterface_ln0" fromId="153" toId="35">
</dataflow>
<dataflow id="327" from="empty_0" to="specinterface_ln0" fromId="153" toId="35">
</dataflow>
<dataflow id="328" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="329" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="330" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="331" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="332" from="empty_0" to="specinterface_ln0" fromId="153" toId="35">
</dataflow>
<dataflow id="333" from="empty_0" to="specinterface_ln0" fromId="153" toId="35">
</dataflow>
<dataflow id="334" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="35">
</dataflow>
<dataflow id="335" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="35">
</dataflow>
<dataflow id="336" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="36">
</dataflow>
<dataflow id="337" from="newData" to="specbitsmap_ln0" fromId="117" toId="36">
</dataflow>
<dataflow id="338" from="_ssdm_op_SpecBitsMap" to="specbitsmap_ln0" fromId="142" toId="37">
</dataflow>
<dataflow id="339" from="updateDataValid" to="specbitsmap_ln0" fromId="118" toId="37">
</dataflow>
<dataflow id="340" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="145" toId="38">
</dataflow>
<dataflow id="341" from="updateDataValid" to="specinterface_ln0" fromId="118" toId="38">
</dataflow>
<dataflow id="342" from="empty" to="specinterface_ln0" fromId="148" toId="38">
</dataflow>
<dataflow id="343" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="344" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="345" from="empty_0" to="specinterface_ln0" fromId="153" toId="38">
</dataflow>
<dataflow id="346" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="347" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="348" from="empty_0" to="specinterface_ln0" fromId="153" toId="38">
</dataflow>
<dataflow id="349" from="empty_0" to="specinterface_ln0" fromId="153" toId="38">
</dataflow>
<dataflow id="350" from="empty_0" to="specinterface_ln0" fromId="153" toId="38">
</dataflow>
<dataflow id="351" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="352" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="353" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="354" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="355" from="empty_0" to="specinterface_ln0" fromId="153" toId="38">
</dataflow>
<dataflow id="356" from="empty_0" to="specinterface_ln0" fromId="153" toId="38">
</dataflow>
<dataflow id="357" from="StgValue_166" to="specinterface_ln0" fromId="166" toId="38">
</dataflow>
<dataflow id="358" from="StgValue_150" to="specinterface_ln0" fromId="150" toId="38">
</dataflow>
<dataflow id="360" from="_ssdm_op_SpecBRAMWithByteEnable" to="specbramwithbyteenable_ln0" fromId="359" toId="39">
</dataflow>
<dataflow id="361" from="cacheMemory" to="specbramwithbyteenable_ln0" fromId="119" toId="39">
</dataflow>
<dataflow id="362" from="updateDataValid_read" to="br_ln8" fromId="10" toId="40">
</dataflow>
<dataflow id="363" from="updateSet_read" to="trunc_ln9" fromId="14" toId="41">
</dataflow>
<dataflow id="365" from="_ssdm_op_BitConcatenate.i6.i1.i5" to="shl_ln9" fromId="364" toId="42">
</dataflow>
<dataflow id="366" from="trunc_ln9" to="shl_ln9" fromId="41" toId="42">
</dataflow>
<dataflow id="368" from="StgValue_367" to="shl_ln9" fromId="367" toId="42">
</dataflow>
<dataflow id="369" from="updateWay_read" to="trunc_ln9_1" fromId="13" toId="43">
</dataflow>
<dataflow id="371" from="_ssdm_op_BitConcatenate.i6.i3.i3" to="shl_ln9_1" fromId="370" toId="44">
</dataflow>
<dataflow id="372" from="trunc_ln9_1" to="shl_ln9_1" fromId="43" toId="44">
</dataflow>
<dataflow id="374" from="StgValue_373" to="shl_ln9_1" fromId="373" toId="44">
</dataflow>
<dataflow id="375" from="shl_ln9_1" to="add_ln9" fromId="44" toId="45">
</dataflow>
<dataflow id="376" from="shl_ln9" to="add_ln9" fromId="42" toId="45">
</dataflow>
<dataflow id="378" from="_ssdm_op_PartSelect.i3.i6.i32.i32" to="lshr_ln9" fromId="377" toId="46">
</dataflow>
<dataflow id="379" from="add_ln9" to="lshr_ln9" fromId="45" toId="46">
</dataflow>
<dataflow id="381" from="StgValue_380" to="lshr_ln9" fromId="380" toId="46">
</dataflow>
<dataflow id="383" from="StgValue_382" to="lshr_ln9" fromId="382" toId="46">
</dataflow>
<dataflow id="384" from="lshr_ln9" to="zext_ln9" fromId="46" toId="47">
</dataflow>
<dataflow id="385" from="cacheMemory" to="cacheMemory_addr" fromId="119" toId="48">
</dataflow>
<dataflow id="387" from="StgValue_386" to="cacheMemory_addr" fromId="386" toId="48">
</dataflow>
<dataflow id="388" from="zext_ln9" to="cacheMemory_addr" fromId="47" toId="48">
</dataflow>
<dataflow id="389" from="cacheMemory_addr" to="cacheMemory_load" fromId="48" toId="49">
</dataflow>
<dataflow id="390" from="cacheMemory_addr" to="cacheMemory_load" fromId="48" toId="50">
</dataflow>
<dataflow id="392" from="_ssdm_op_PartSelect.i30.i64.i32.i32" to="tmp_3" fromId="391" toId="51">
</dataflow>
<dataflow id="393" from="cacheMemory_load" to="tmp_3" fromId="50" toId="51">
</dataflow>
<dataflow id="395" from="StgValue_394" to="tmp_3" fromId="394" toId="51">
</dataflow>
<dataflow id="397" from="StgValue_396" to="tmp_3" fromId="396" toId="51">
</dataflow>
<dataflow id="399" from="_ssdm_op_BitConcatenate.i32.i30.i2" to="and_ln" fromId="398" toId="52">
</dataflow>
<dataflow id="400" from="tmp_3" to="and_ln" fromId="51" toId="52">
</dataflow>
<dataflow id="402" from="StgValue_401" to="and_ln" fromId="401" toId="52">
</dataflow>
<dataflow id="403" from="and_ln" to="or_ln10" fromId="52" toId="53">
</dataflow>
<dataflow id="405" from="StgValue_404" to="or_ln10" fromId="404" toId="53">
</dataflow>
<dataflow id="406" from="or_ln10" to="zext_ln10" fromId="53" toId="54">
</dataflow>
<dataflow id="408" from="_ssdm_op_Write.bram.p0L_a8i8packedL" to="store_ln10" fromId="407" toId="55">
</dataflow>
<dataflow id="409" from="cacheMemory_addr" to="store_ln10" fromId="48" toId="55">
</dataflow>
<dataflow id="410" from="zext_ln10" to="store_ln10" fromId="54" toId="55">
</dataflow>
<dataflow id="412" from="StgValue_411" to="store_ln10" fromId="411" toId="55">
</dataflow>
<dataflow id="413" from="add_ln9" to="or_ln11" fromId="45" toId="56">
</dataflow>
<dataflow id="415" from="StgValue_414" to="or_ln11" fromId="414" toId="56">
</dataflow>
<dataflow id="417" from="cache_module_Pipeline_VITIS_LOOP_11_1" to="call_ln11" fromId="416" toId="57">
</dataflow>
<dataflow id="418" from="newData" to="call_ln11" fromId="117" toId="57">
</dataflow>
<dataflow id="419" from="or_ln11" to="call_ln11" fromId="56" toId="57">
</dataflow>
<dataflow id="420" from="cacheMemory" to="call_ln11" fromId="119" toId="57">
</dataflow>
<dataflow id="421" from="cache_module_Pipeline_VITIS_LOOP_11_1" to="call_ln11" fromId="416" toId="58">
</dataflow>
<dataflow id="422" from="newData" to="call_ln11" fromId="117" toId="58">
</dataflow>
<dataflow id="423" from="or_ln11" to="call_ln11" fromId="56" toId="58">
</dataflow>
<dataflow id="424" from="cacheMemory" to="call_ln11" fromId="119" toId="58">
</dataflow>
<dataflow id="425" from="updateTagValid_read" to="br_ln14" fromId="11" toId="60">
</dataflow>
<dataflow id="426" from="updateSet_read" to="trunc_ln15" fromId="14" toId="61">
</dataflow>
<dataflow id="427" from="_ssdm_op_BitConcatenate.i6.i1.i5" to="shl_ln15_1" fromId="364" toId="62">
</dataflow>
<dataflow id="428" from="trunc_ln15" to="shl_ln15_1" fromId="61" toId="62">
</dataflow>
<dataflow id="429" from="StgValue_367" to="shl_ln15_1" fromId="367" toId="62">
</dataflow>
<dataflow id="430" from="updateWay_read" to="trunc_ln15_1" fromId="13" toId="63">
</dataflow>
<dataflow id="431" from="_ssdm_op_BitConcatenate.i6.i3.i3" to="shl_ln15_2" fromId="370" toId="64">
</dataflow>
<dataflow id="432" from="trunc_ln15_1" to="shl_ln15_2" fromId="63" toId="64">
</dataflow>
<dataflow id="433" from="StgValue_373" to="shl_ln15_2" fromId="373" toId="64">
</dataflow>
<dataflow id="434" from="shl_ln15_2" to="add_ln15" fromId="64" toId="65">
</dataflow>
<dataflow id="435" from="shl_ln15_1" to="add_ln15" fromId="62" toId="65">
</dataflow>
<dataflow id="436" from="_ssdm_op_PartSelect.i3.i6.i32.i32" to="lshr_ln1" fromId="377" toId="66">
</dataflow>
<dataflow id="437" from="add_ln15" to="lshr_ln1" fromId="65" toId="66">
</dataflow>
<dataflow id="438" from="StgValue_380" to="lshr_ln1" fromId="380" toId="66">
</dataflow>
<dataflow id="439" from="StgValue_382" to="lshr_ln1" fromId="382" toId="66">
</dataflow>
<dataflow id="440" from="newTag_read" to="trunc_ln15_2" fromId="12" toId="67">
</dataflow>
<dataflow id="441" from="lshr_ln1" to="zext_ln15" fromId="66" toId="68">
</dataflow>
<dataflow id="442" from="cacheMemory" to="cacheMemory_addr_1" fromId="119" toId="69">
</dataflow>
<dataflow id="443" from="StgValue_386" to="cacheMemory_addr_1" fromId="386" toId="69">
</dataflow>
<dataflow id="444" from="zext_ln15" to="cacheMemory_addr_1" fromId="68" toId="69">
</dataflow>
<dataflow id="445" from="cacheMemory_addr_1" to="cacheMemory_load_1" fromId="69" toId="70">
</dataflow>
<dataflow id="446" from="cacheMemory_addr_1" to="cacheMemory_load_1" fromId="69" toId="71">
</dataflow>
<dataflow id="448" from="_ssdm_op_BitSelect.i1.i64.i32" to="tmp_1" fromId="447" toId="72">
</dataflow>
<dataflow id="449" from="cacheMemory_load_1" to="tmp_1" fromId="71" toId="72">
</dataflow>
<dataflow id="450" from="StgValue_396" to="tmp_1" fromId="396" toId="72">
</dataflow>
<dataflow id="452" from="_ssdm_op_BitConcatenate.i32.i1.i29.i2" to="tmp" fromId="451" toId="73">
</dataflow>
<dataflow id="453" from="tmp_1" to="tmp" fromId="72" toId="73">
</dataflow>
<dataflow id="454" from="trunc_ln15_2" to="tmp" fromId="67" toId="73">
</dataflow>
<dataflow id="455" from="StgValue_401" to="tmp" fromId="401" toId="73">
</dataflow>
<dataflow id="456" from="tmp" to="or_ln16" fromId="73" toId="74">
</dataflow>
<dataflow id="457" from="StgValue_404" to="or_ln16" fromId="404" toId="74">
</dataflow>
<dataflow id="458" from="or_ln16" to="zext_ln17" fromId="74" toId="75">
</dataflow>
<dataflow id="459" from="_ssdm_op_Write.bram.p0L_a8i8packedL" to="store_ln17" fromId="407" toId="76">
</dataflow>
<dataflow id="460" from="cacheMemory_addr_1" to="store_ln17" fromId="69" toId="76">
</dataflow>
<dataflow id="461" from="zext_ln17" to="store_ln17" fromId="75" toId="76">
</dataflow>
<dataflow id="462" from="StgValue_411" to="store_ln17" fromId="411" toId="76">
</dataflow>
<dataflow id="464" from="_ssdm_op_BitSelect.i1.i32.i32" to="tmp_2" fromId="463" toId="78">
</dataflow>
<dataflow id="465" from="address_read" to="tmp_2" fromId="15" toId="78">
</dataflow>
<dataflow id="467" from="StgValue_466" to="tmp_2" fromId="466" toId="78">
</dataflow>
<dataflow id="469" from="cache_module_Pipeline_VITIS_LOOP_20_2" to="targetBlock" fromId="468" toId="79">
</dataflow>
<dataflow id="470" from="tmp_2" to="targetBlock" fromId="78" toId="79">
</dataflow>
<dataflow id="471" from="trunc_ln7" to="targetBlock" fromId="17" toId="79">
</dataflow>
<dataflow id="472" from="cacheMemory_load_2_loc" to="targetBlock" fromId="16" toId="79">
</dataflow>
<dataflow id="473" from="cacheMemory" to="targetBlock" fromId="119" toId="79">
</dataflow>
<dataflow id="474" from="cache_module_Pipeline_VITIS_LOOP_20_2" to="targetBlock" fromId="468" toId="80">
</dataflow>
<dataflow id="475" from="tmp_2" to="targetBlock" fromId="78" toId="80">
</dataflow>
<dataflow id="476" from="trunc_ln7" to="targetBlock" fromId="17" toId="80">
</dataflow>
<dataflow id="477" from="cacheMemory_load_2_loc" to="targetBlock" fromId="16" toId="80">
</dataflow>
<dataflow id="478" from="cacheMemory" to="targetBlock" fromId="119" toId="80">
</dataflow>
<dataflow id="479" from="cacheMemory_load_2_loc" to="cacheMemory_load_2" fromId="16" toId="81">
</dataflow>
<dataflow id="480" from="targetBlock" to="br_ln7" fromId="80" toId="82">
</dataflow>
<dataflow id="482" from="_ssdm_op_Write.ap_auto.i1P0A" to="write_ln22" fromId="481" toId="83">
</dataflow>
<dataflow id="483" from="hit" to="write_ln22" fromId="111" toId="83">
</dataflow>
<dataflow id="485" from="StgValue_484" to="write_ln22" fromId="484" toId="83">
</dataflow>
<dataflow id="487" from="_ssdm_op_PartSelect.i2.i32.i32.i32" to="tmp_9" fromId="486" toId="84">
</dataflow>
<dataflow id="488" from="address_read" to="tmp_9" fromId="15" toId="84">
</dataflow>
<dataflow id="490" from="StgValue_489" to="tmp_9" fromId="489" toId="84">
</dataflow>
<dataflow id="491" from="StgValue_396" to="tmp_9" fromId="396" toId="84">
</dataflow>
<dataflow id="493" from="_ssdm_op_BitConcatenate.i6.i1.i2.i3" to="zext_ln23_cast" fromId="492" toId="85">
</dataflow>
<dataflow id="494" from="StgValue_484" to="zext_ln23_cast" fromId="484" toId="85">
</dataflow>
<dataflow id="495" from="tmp_9" to="zext_ln23_cast" fromId="84" toId="85">
</dataflow>
<dataflow id="496" from="StgValue_373" to="zext_ln23_cast" fromId="373" toId="85">
</dataflow>
<dataflow id="497" from="zext_ln23_cast" to="zext_ln23" fromId="85" toId="86">
</dataflow>
<dataflow id="498" from="cacheMemory_load_2" to="lshr_ln23" fromId="81" toId="87">
</dataflow>
<dataflow id="499" from="zext_ln23" to="lshr_ln23" fromId="86" toId="87">
</dataflow>
<dataflow id="500" from="lshr_ln23" to="trunc_ln23" fromId="87" toId="88">
</dataflow>
<dataflow id="502" from="_ssdm_op_Write.ap_auto.i8P0A" to="write_ln23" fromId="501" toId="89">
</dataflow>
<dataflow id="503" from="data" to="write_ln23" fromId="112" toId="89">
</dataflow>
<dataflow id="504" from="trunc_ln23" to="write_ln23" fromId="88" toId="89">
</dataflow>
<dataflow id="505" from="_ssdm_op_BitSelect.i1.i64.i32" to="tmp_4" fromId="447" toId="90">
</dataflow>
<dataflow id="506" from="cacheMemory_load_2" to="tmp_4" fromId="81" toId="90">
</dataflow>
<dataflow id="507" from="StgValue_404" to="tmp_4" fromId="404" toId="90">
</dataflow>
<dataflow id="508" from="_ssdm_op_Write.ap_auto.i1P0A" to="write_ln24" fromId="481" toId="91">
</dataflow>
<dataflow id="509" from="dirty" to="write_ln24" fromId="110" toId="91">
</dataflow>
<dataflow id="510" from="tmp_4" to="write_ln24" fromId="90" toId="91">
</dataflow>
<dataflow id="511" from="_ssdm_op_Write.ap_auto.i1P0A" to="write_ln28" fromId="481" toId="93">
</dataflow>
<dataflow id="512" from="hit" to="write_ln28" fromId="111" toId="93">
</dataflow>
<dataflow id="514" from="StgValue_513" to="write_ln28" fromId="513" toId="93">
</dataflow>
<dataflow id="515" from="updateDataValid_read" to="StgValue_1" fromId="10" toId="1">
</dataflow>
<dataflow id="516" from="updateDataValid_read" to="StgValue_4" fromId="10" toId="4">
</dataflow>
<dataflow id="517" from="updateTagValid_read" to="StgValue_4" fromId="11" toId="4">
</dataflow>
<dataflow id="518" from="updateTagValid_read" to="StgValue_6" fromId="11" toId="6">
</dataflow>
<dataflow id="519" from="targetBlock" to="StgValue_9" fromId="80" toId="9">
</dataflow>
</dataflows>


</stg>
